import type { AppConfig } from '@nuxt/schema';
import theme from '#build/b24ui/empty';
import type { ComponentConfig } from '../types/tv';
import type { ButtonProps, IconComponent } from '../types';
type Empty = ComponentConfig<typeof theme, AppConfig, 'empty'>;
export interface EmptyProps {
    /**
     * The element or component this component should render as.
     * @defaultValue 'div'
     */
    as?: any;
    /**
     * The icon displayed above the title.
     * @IconComponent
     */
    icon?: IconComponent;
    title?: string;
    description?: string;
    /**
     * Display a list of Button in the body.
     */
    actions?: ButtonProps[];
    /**
     * @defaultValue 'air-secondary-accent'
     */
    color?: Empty['variants']['color'];
    /**
     * If set to `true` the color is inverted.
     * Used for 'air-primary', 'air-primary-success', 'air-primary-alert', 'air-primary-copilot' and 'air-primary-warning' colors.
     * @defaultValue false
     */
    inverted?: boolean;
    /**
     * @defaultValue 'md'
     */
    size?: Empty['variants']['size'];
    class?: any;
    b24ui?: Empty['slots'];
}
export interface EmptySlots {
    header(props?: {}): any;
    leading(props: {
        b24ui: Empty['b24ui'];
    }): any;
    title(props?: {}): any;
    description(props?: {}): any;
    body(props?: {}): any;
    actions(props?: {}): any;
    footer(props?: {}): any;
}
declare const __VLS_export: __VLS_WithSlots<import("vue").DefineComponent<EmptyProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<EmptyProps> & Readonly<{}>, {
    inverted: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>, EmptySlots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
